Package com.collabnet.ce.soap60.webservices.tag

# Class TagSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.tag.TagSoapRow

public class TagSoapRow extends Object
TagSoapList is used to get a list of tags.

Since:
  17.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatedBy()`
  Returns 'createdBy'.
  `Date`
  `getCreatedDate()`
  Returns 'createdDate'.
  `Date`
  `getDeletedDate()`
  Returns 'deletedDate'.
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getId()`
  Returns 'id'.
  `String`
  `getLastModifiedBy()`
  Returns 'lastModifiedBy'.
  `Date`
  `getLastModifiedDate()`
  Returns 'lastModifiedDate'.
  `String`
  `getName()`
  Returns 'name'.
  `String`
  `getProjectId()`
  Returns 'projectId'.
  `int`
  `getVersion()`
  Returns 'version'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setCreatedBy(String createdBy)`
  Sets 'createdBy'.
  `void`
  `setCreatedDate(Date createdDate)`
  Sets 'createdDate'.
  `void`
  `setDeletedDate(Date deletedDate)`
  Sets 'deletedDate'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setLastModifiedBy(String lastModifiedBy)`
  Sets 'lastModifiedBy'.
  `void`
  `setLastModifiedDate(Date lastModifiedDate)`
  Sets 'lastModifiedDate'.
  `void`
  `setName(String name)`
  Sets 'name'.
  `void`
  `setProjectId(String projectId)`
  Sets 'projectId'.
  `void`
  `setVersion(int version)`
  Sets 'version'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TagSoapRow

    public TagSoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'. The tag id.
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'. The tag id.
    Parameters:
      `id` - Value of 'id'.

  - ### getName

    public String getName()
    Returns 'name'. The tag name.
    Returns:
      Value of 'name'.

  - ### setName

    public void setName(String name)
    Sets 'name'. The tag name.
    Parameters:
      `name` - Value of 'name'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. The tag description.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. The tag description.
    Parameters:
      `description` - Value of 'description'.

  - ### getProjectId

    public String getProjectId()
    Returns 'projectId'. The project id.
    Returns:
      Value of 'projectId'.

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets 'projectId'. The project id.
    Parameters:
      `projectId` - Value of 'projectId'.

  - ### getCreatedBy

    public String getCreatedBy()
    Returns 'createdBy'. The tag created by user name.
    Returns:
      Value of 'createdBy'.

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets 'createdBy'. The tag created by user name.
    Parameters:
      `createdBy` - Value of 'createdBy'.

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Returns 'lastModifiedBy'. The tag last modified by user name.
    Returns:
      Value of 'lastModifiedBy'.

  - ### setLastModifiedBy

    public void setLastModifiedBy(String lastModifiedBy)
    Sets 'lastModifiedBy'. The tag last modified by user name.
    Parameters:
      `lastModifiedBy` - Value of 'lastModifiedBy'.

  - ### getCreatedDate

    public Date getCreatedDate()
    Returns 'createdDate'. The date on which this tag was created.
    Returns:
      Value of 'createdDate'.

  - ### setCreatedDate

    public void setCreatedDate(Date createdDate)
    Sets 'createdDate'. The date on which this tag was created.
    Parameters:
      `createdDate` - Value of 'createdDate'.

  - ### getLastModifiedDate

    public Date getLastModifiedDate()
    Returns 'lastModifiedDate'. The date on which this tag was last modified.
    Returns:
      Value of 'lastModifiedDate'.

  - ### setLastModifiedDate

    public void setLastModifiedDate(Date lastModifiedDate)
    Sets 'lastModifiedDate'. The date on which this tag was last modified.
    Parameters:
      `lastModifiedDate` - Value of 'lastModifiedDate'.

  - ### getDeletedDate

    public Date getDeletedDate()
    Returns 'deletedDate'. The date on which this tag was deleted.
    Returns:
      Value of 'deletedDate'.

  - ### setDeletedDate

    public void setDeletedDate(Date deletedDate)
    Sets 'deletedDate'. The date on which this tag was deleted.
    Parameters:
      `deletedDate` - Value of 'deletedDate'.

  - ### getVersion

    public int getVersion()
    Returns 'version'. The tag version id.
    Returns:
      Value of 'version'.

  - ### setVersion

    public void setVersion(int version)
    Sets 'version'. The tag version id.
    Parameters:
      `version` - Value of 'version'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)